#include "wc3game.h"
#include "Extern_global_Variable.h"

PGameWar3* ppGameWar3;

procedure wc3game_Init()
{
	ppGameWar3 = (PGameWar3*)GameDll+0xAB65F4;
}

PGameWar3 TGameWar3::GetInstance()
{
	return *ppGameWar3;
}

void wc3game_main()
{
	wc3main_SubscribeOnInit(&wc3game_Init);
}